﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Infragistics.Web.UI.GridControls;

/// <summary>
/// Summary description for CharConverter
/// </summary>
public class CharConverter : IBooleanConverter
{

    public object DefaultFalseValue
    {
        get { return 'F'; }
    }

    public object DefaultTrueValue
    {
        get { return 'T'; }
    }

    public bool IsFalse(object value)
    {
        if (value != null && value is string)
            return (string)value == "F";
        return false;
    }

    public bool IsTrue(object value)
    {
        if (value != null && value is string)
            return (string)value == "T";
        return false;
    }
}